#### D.2.3.8 fibonacci

Procedure from library `general.lib` (see general_lib).

Usage:
  fibonacci(n); n,p integers

Return:
  fibonacci(n): nth Fibonacci number, f(0)=f(1)=1, f(i+1)=f(i-1)+f(i)
  - computed in characteristic 0, of type bigint

Example:

    LIB "general.lib";
    fibonacci(42);
    ==> 267914296

See also: prime.

User manual for Singular version 4.4.1, 2025, generated by texi2html.